"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RBTree = exports.RBTreeNode = void 0;
const types_1 = require("../../types");
const bst_1 = require("./bst");
class RBTreeNode extends bst_1.BSTNode {
    constructor(key, val) {
        super(key, val);
        this._color = types_1.RBColor.RED;
    }
    get color() {
        return this._color;
    }
    set color(value) {
        this._color = value;
    }
}
exports.RBTreeNode = RBTreeNode;
class RBTree extends bst_1.BST {
    constructor(options) {
        super(options);
    }
    createNode(key, val) {
        return new RBTreeNode(key, val);
    }
}
exports.RBTree = RBTree;
