/**
 * data-structure-typed
 *
 * @author Kirk Qi
 * @copyright Copyright (c) 2022 Kirk Qi <qilinaus@gmail.com>
 * @license MIT License
 */
import { PriorityQueue } from './priority-queue';
import type { Comparator } from '../../types';
export declare class MaxPriorityQueue<E = any> extends PriorityQueue<E> {
    constructor(compare?: Comparator<E>);
}
